### Function

# Meta KeyHandlerFunc

#### Declaration

    void
    (* MetaKeyHandlerFunc) (
      MetaDisplay* display,
      MetaWindow* window,
      const ClutterKeyEvent* event,
      MetaKeyBinding* binding,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`display`

  Type: `MetaDisplay`

  A `MetaDisplay`.

  The data is owned by the caller of the function.

`window`

  Type: `MetaWindow`

  A `MetaWindow`.

  The data is owned by the caller of the function.

`event`

  Type: `const ClutterKeyEvent*`

  A `ClutterKeyEvent`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`binding`

  Type: `MetaKeyBinding`

  A `MetaKeyBinding`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Data passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.